CVE-2018-19664

Published: 29 November 2018

libjpeg-turbo 2.0.1 has a heap-based buffer over-read in the put_pixel_rows function in wrbmp.c, as demonstrated by djpeg.

Priority

Low

CVSS 3 base score: 6.5

Status

Package Release Status
libjpeg-turbo
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 20.04 LTS (Focal Fossa)
Released (2.0.2-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(1.5.2-0ubuntu5.18.04.1)
Ubuntu 16.04 LTS (Xenial Xerus) Not vulnerable
(1.4.2-0ubuntu3.1)
Ubuntu 14.04 ESM (Trusty Tahr) Not vulnerable
(1.3.0-0ubuntu2.1)
Ubuntu 12.04 ESM (Precise Pangolin) Not vulnerable

Patches:
Upstream: https://github.com/libjpeg-turbo/libjpeg-turbo/commit/f8cca819a4fb42aafa5f70df43c45e8c416d716f

Notes

AuthorNote
mdeslaur introduced by: https://github.com/libjpeg-turbo/libjpeg-turbo/commit/aa7459050d7a50e1d8a99488902d41fbc118a50f

References

Bugs